%define _hordedir  /usr/share/horde
%define _passwddir %{_hordedir}/passwd
%define _pversion 5.0.0alpha1

Name:           horde-passwd
Version:        5.0.2
Release:        1.lux.1
Summary:        Passwd is the Horde password changing application
License:        GPLv2
Group:          Productivity/Networking/Other
Url:            http://www.horde.org/passwd
Source0:        passwd-%{version}.tgz
Source100:	horde-passwd.conf
Requires:	php >= 5.3.0
Requires:	php-pear >= 1.7.0
Requires:	php-pear-Horde-Auth >= 2.0.0
Requires:	php-pear-Horde-Auth <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Auth = 3.0.0alpha1
Requires:	php-pear-Horde-Core >= 2.11.0
Requires:	php-pear-Horde-Core <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Core = 3.0.0alpha1
Requires:	php-pear-Horde-Exception >= 2.0.0
Requires:	php-pear-Horde-Exception <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Exception = 3.0.0alpha1
Requires:	php-pear-Horde-Injector >= 2.0.0
Requires:	php-pear-Horde-Injector <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Injector = 3.0.0alpha1
Requires:	php-pear-Horde-Util >= 2.0.0
Requires:	php-pear-Horde-Util <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Util = 3.0.0alpha1
Requires:	php-pear-Horde-View >= 2.0.0
Requires:	php-pear-Horde-View <= 3.0.0alpha1
Conflicts:	php-pear-Horde-View = 3.0.0alpha1
Requires:	horde >= 5.0.0
Requires:	horde <= 6.0.0alpha1
Conflicts:	horde = 6.0.0alpha1
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       passwd = %{version}

Requires:       horde >= 4.0.2 php-pear-DB
BuildRequires:  httpd-devel horde

%description
THIS PACKAGE HAS NOT OFFICIALLY BEEN RELEASED
Passwd has only been packaged from git for upgrade scenarios of existing sites.
The functionality may be moved to the base horde app at some point.

Passwd is the Horde password changing application. While it has been released 
and is in production use at many sites, it is also under heavy development in
an effort to expand and improve the module.
Right now, Passwd provides fairly complete support for changing passwords via
Poppassd, LDAP, Unix expect scripts, the Unix smbpasswd command for SMB/CIFS 
passwords, Kolab, ADSI, Pine, Serv-U FTP, VMailMgr, vpopmail, and SQL passwords.
Passwd is part of a suite of account management modules for Horde consisting of
Accounts, Forwards, Passwd, and Vacation.
Collectively these modules now comprise what is known as Sork. There is a 
mailing list available for these modules. See 
http://lists.horde.org/mailman/listinfo/sork/ for information or to subscribe.

Authors:
--------
    * Eric Rostetter <eric.rostetter@physics.utexas.edu>
    * Jan Schneider <jan@horde.org>

%prep  
%setup -qn passwd-%{version}

%build
pushd config/
for i in *.dist; do %__cp $i ${i%.dist}; done
popd

%install
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf.d
cp -p %{SOURCE100} $RPM_BUILD_ROOT/etc/httpd/conf.d/horde-passwd.conf
%__mkdir_p %{buildroot}%{_passwddir}
%__cp -r ./* %{buildroot}%{_passwddir}
%__rm -rf %{buildroot}%{_passwddir}/{docs,README,COPYING,package.xml}
%__mkdir_p %{buildroot}%{pear_phpdir}/test/passwd
%__mv  %{buildroot}%{_passwddir}/test/Passwd %{buildroot}%{pear_phpdir}/test/passwd

%clean
%__rm -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%config(noreplace)  /etc/httpd/conf.d/horde-passwd.conf
%{pear_phpdir}/test/passwd
%doc docs README COPYING
%dir %{_passwddir}
%{_passwddir}/*.php
%{_passwddir}/lib
%dir %{_passwddir}/locale
%dir %{_passwddir}/locale/*/
%dir %{_passwddir}/locale/*/*/
%{_passwddir}/locale/.htaccess
%{_passwddir}/locale/*/*/*.po
%{_passwddir}/locale/*/*/*.mo
%{_hordedir}/passwd/js
%{_passwddir}/locale/passwd.pot
%{_passwddir}/locale/*/*.xml
%{_passwddir}/scripts
%{_passwddir}/templates
%{_passwddir}/themes
%defattr(0644,root,apache,0770)
%attr(0770, root, apache) %dir %{_passwddir}/config
%defattr(0644, root, root, 0755)
%attr(0640, root, apache) %{_passwddir}/config/*
%attr(0640, root, apache) %{_passwddir}/config/.htaccess

%changelog
